# Update the keycloak installation

# Stop the service
- name: Stopping the service for the update.
  systemd:
    name: "{{ keycloak_service_name }}"
    state: stopped
  ignore_errors: true

# Delete the data/tx-object-store/ transaction directory
- name: Deleting the data/tx-object-store/ transaction directory
  file:
    path: "{{ keycloak_jboss_home }}/standalone/data/tx-object-store"
    state: absent

# Backup the old installation
- name: Making a copy of the current installation

# Backup the database
- name: Backing up the of database

# Upgrade the server
- name: Upgrading the server with the new files
  # This is actually reinstalling the files.
# copy the KEYCLOAK_HOME/standalone/ directory from the previous installation over the directory in the new installation.
- name: Copying the standalon directory from the previous installation

# Run the upgrade script
# bin/jboss-cli.sh --file=bin/migrate-standalone-ha.cli
- name: Running the upgrade script
